/*******************************************************************************
* File Name: ControlSW.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ControlSW_H) /* Pins ControlSW_H */
#define CY_PINS_ControlSW_H

#include "cytypes.h"
#include "cyfitter.h"
#include "ControlSW_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ControlSW_Write(uint8 value) ;
void    ControlSW_SetDriveMode(uint8 mode) ;
uint8   ControlSW_ReadDataReg(void) ;
uint8   ControlSW_Read(void) ;
uint8   ControlSW_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ControlSW_DRIVE_MODE_BITS        (3)
#define ControlSW_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - ControlSW_DRIVE_MODE_BITS))
#define ControlSW_DRIVE_MODE_SHIFT       (0x00u)
#define ControlSW_DRIVE_MODE_MASK        (0x07u << ControlSW_DRIVE_MODE_SHIFT)

#define ControlSW_DM_ALG_HIZ         (0x00u << ControlSW_DRIVE_MODE_SHIFT)
#define ControlSW_DM_DIG_HIZ         (0x01u << ControlSW_DRIVE_MODE_SHIFT)
#define ControlSW_DM_RES_UP          (0x02u << ControlSW_DRIVE_MODE_SHIFT)
#define ControlSW_DM_RES_DWN         (0x03u << ControlSW_DRIVE_MODE_SHIFT)
#define ControlSW_DM_OD_LO           (0x04u << ControlSW_DRIVE_MODE_SHIFT)
#define ControlSW_DM_OD_HI           (0x05u << ControlSW_DRIVE_MODE_SHIFT)
#define ControlSW_DM_STRONG          (0x06u << ControlSW_DRIVE_MODE_SHIFT)
#define ControlSW_DM_RES_UPDWN       (0x07u << ControlSW_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define ControlSW_MASK               ControlSW__MASK
#define ControlSW_SHIFT              ControlSW__SHIFT
#define ControlSW_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ControlSW_PS                     (* (reg32 *) ControlSW__PS)
/* Port Configuration */
#define ControlSW_PC                     (* (reg32 *) ControlSW__PC)
/* Data Register */
#define ControlSW_DR                     (* (reg32 *) ControlSW__DR)
/* Input Buffer Disable Override */
#define ControlSW_INP_DIS                (* (reg32 *) ControlSW__PC2)


#if defined(ControlSW__INTSTAT)  /* Interrupt Registers */

    #define ControlSW_INTSTAT                (* (reg32 *) ControlSW__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins ControlSW_H */


/* [] END OF FILE */
