/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>
#include "fm_i2c_lcd_module.h"

int16 result = 0;
uint8 dataReady = 0;

uint8 g_Timer;

void Timer1Int(void)
{
    if (g_Timer > 0) {
        g_Timer -= 1;
    }
}


void main()
{
    int i;
    int16 newReading = 0;
    int32 count = 0;

    SCB_1_Start();
    Clock_1_Start();
    isr_1_Start();
    isr_1_Enable();
    CyGlobalIntEnable;
    ADC_SAR_Seq_1_Start(); /* Initialize ADC */
    ADC_SAR_Seq_1_IRQ_Enable(); /* Enable ADC interrupts */
    ADC_SAR_Seq_1_StartConvert(); /* Start ADC conversions */

    /* --- I2C LCD test */
	for(i=0; i<16; i++) {
		CyDelayUs(2000);
	}
	fmLcdClear();
    fmLcdLocate(6,0);
    fmLcdPutMessage((unsigned char*)"mV", 2);

    ControlSW_Write(1);

    g_Timer = 0;
    i = 1;

    for(;;)
    {
        if (dataReady != 0)
        {
            g_Timer = 1;
            while(g_Timer > 0) {}

            dataReady = 0;
            newReading = ADC_SAR_Seq_1_CountsTo_mVolts(0, result);
            
            if (newReading < 1000) {
                i = 0;
            }

            /* More user code */
            fmLcdLocate(1,0);
            fmLcdDisplayDec_16(newReading);

            fmLcdLocate(0,0);
            if (i > 0) {
                fmLcdPutChar('|');
                ControlSW_Write(1);
                count += 1;
            }
            else {
                fmLcdPutChar('*');
                ControlSW_Write(0);
            }
            fmLcdLocate(0,1);
            fmLcdDisplayDec_24(count);
        }
    }
}

/* [] END OF FILE */
